package com.oqpo.api.client.oqlink.dto;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "매장 단가 변경 요청")
@Data
public class OqScmStorePriceChangeReqModel {

	@ApiModelProperty(value = "브랜드코드", required = true)
	private String brandCd;
	@ApiModelProperty(value = "매장번호", required = true)
	private String storeNo;
	@ApiModelProperty(value = "메뉴 리스트", required = true)
	private List<OqScmMenuModel> menuList;
}
