package com.oqpo.api.web.dto.response.stinfo.item;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ItemPopLackStockSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "창고명")
    private String whsNm;

    @ApiModelProperty(value = "품목아이디")
    private String itemId;

    @ApiModelProperty(value = "품목명")
    private String itemNm;

    @ApiModelProperty(value = "단위")
    private String unit;

    @ApiModelProperty(value = "단위명")
    private String unitNm;

    @ApiModelProperty(value = "발주가능구분코드")
    private String podrPssblDvsn;

    @ApiModelProperty(value = "발주가능구분명")
    private String podrPssblDvsnNm;

    @ApiModelProperty(value = "단가금액")
    private Integer unitAmt;

    @ApiModelProperty(value = "브랜드단가공유번호")
    private String brandUnitUnqNo;

    @ApiModelProperty(value = "매장단가고유번호")
    private String storeUnitUnqNo;

    @ApiModelProperty(value = "현재고수량")
    private Integer stckQty;

    @ApiModelProperty(value = "필요발주 수량")
    private Integer pchReqQty;

    @ApiModelProperty(value = "안전재고수량")
    private Integer curQty;

    @ApiModelProperty(value = "안전재고기준수량")
    private Integer prpStckQty;

    @ApiModelProperty(value = "브래드/매장 단가 구분")
    private String unitGubun;


}
