package com.oqpo.api.client.oqlink.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(description = "수발주 매장 변경 전송 요청 응답")
@Data
@EqualsAndHashCode(callSuper = false)
public class OqScmStoreChangeResModel extends OqScmApiResModel{

	@ApiModelProperty(value = "브랜드코드", required = true)
	private String brandCd;
	@ApiModelProperty(value = "매장번호", required = true)
	private String storeNo;
	@ApiModelProperty(value = "브랜드아이디", required = true)
	private String brandId;
	@ApiModelProperty(value = "매장아이디", required = true)
	private String storeId;
	
}